Mailinglist Archive: opensuse-buildservice (151 mails)

< Previous Next >
Re: [opensuse-buildservice] Strange build error
On Thu, Mar 20, 2014 at 12:00:17AM +0100, Matthew Cattell wrote:
Hi,

I've been struggling to figure out why my package builds fine and then
enters into an "unresolvable" state after generating the package and
package repo. Hovering over the "unresolvable" status link shows that
"nothing provides libcrypto.so.10 needed by openldap". This is really
puzzling since I have no openldap dependency nor any so.10 library.
Building locally works correctly and I'm able to install the rpm and see
the libraries installed in the correct location.

The package is here:
https://build.opensuse.org/package/show/home:mcattell:cfengine-community/openssl

What could the problem be?

You are building an incompatible version of openssl.

You should not need to build openssl at all.

Why do you not use the distribution supplied version?

Ciao, Marcus
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
References